import request from '@/utils/request'

// 查询中医档期管理列表
export function listSchedule(query) {
  return request({
    url: '/company/schedule/list',
    method: 'get',
    params: query
  })
}

// 查询中医档期管理详细
export function getSchedule(id) {
  return request({
    url: '/company/schedule/' + id,
    method: 'get'
  })
}

// 新增中医档期管理
export function addSchedule(data) {
  return request({
    url: '/company/schedule',
    method: 'post',
    data: data
  })
}

// 修改中医档期管理
export function updateSchedule(data) {
  return request({
    url: '/company/schedule',
    method: 'put',
    data: data
  })
}

// 删除中医档期管理
export function delSchedule(id) {
  return request({
    url: '/company/schedule/' + id,
    method: 'delete'
  })
}

// 导出中医档期管理
export function exportSchedule(query) {
  return request({
    url: '/company/schedule/export',
    method: 'get',
    params: query
  })
}

export function getTcmScheduleList() {
  return request({
    url: '/company/schedule/getTcmScheduleList',
    method: 'get'
  })
}